> ## Documentation Index
> Fetch the complete documentation index at: https://docs.together.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all shared volumes

> List all shared volumes.



## OpenAPI

````yaml GET /compute/clusters/storage/volumes
openapi: 3.1.0
info:
  title: Together APIs
  description: The Together REST API. See https://docs.together.ai for more details.
  version: 2.0.0
  termsOfService: https://www.together.ai/terms-of-service
  contact:
    name: Together Support
    url: https://www.together.ai/contact
  license:
    name: MIT
    url: https://github.com/togethercomputer/openapi/blob/main/LICENSE
servers:
  - url: https://api.together.ai/v1
security:
  - bearerAuth: []
paths:
  /compute/clusters/storage/volumes:
    get:
      tags:
        - SharedVolumeService
      summary: List all shared volumes
      description: List all shared volumes.
      operationId: SharedVolumeService_List
      parameters:
        - name: project_id
          in: query
          schema:
            description: >-
              Optional UMS project ID to filter volumes by. When set, only
              volumes
               belonging to this project are returned. The caller must be a member of
               the project; otherwise the result set will be empty.
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GPUClustersSharedVolumes'
      x-codeSamples:
        - lang: Python
          label: Together AI SDK (v2)
          source: |
            from together import Together
            client = Together()

            volumes = client.beta.clusters.storage.list()
            print(volumes)
        - lang: TypeScript
          label: Together AI SDK (TypeScript)
          source: |
            import Together from "together-ai";
            const client = new Together();

            const volumes = await client.beta.clusters.storage.list();
            console.log(volumes);
        - lang: JavaScript
          label: Together AI SDK (JavaScript)
          source: |
            import Together from "together-ai";
            const client = new Together();

            const volumes = await client.beta.clusters.storage.list();
            console.log(volumes);
        - lang: Shell
          label: CLI
          source: |
            tg beta clusters storage list
components:
  schemas:
    GPUClustersSharedVolumes:
      type: object
      required:
        - volumes
      properties:
        volumes:
          type: array
          items:
            $ref: '#/components/schemas/GPUClustersSharedVolume'
    GPUClustersSharedVolume:
      type: object
      required:
        - volume_id
        - volume_name
        - size_tib
        - status
      properties:
        volume_id:
          description: ID of the volume.
          type: string
        volume_name:
          type: string
          description: User provided name of the volume.
        size_tib:
          type: integer
          description: Size of the volume in TiB.
        status:
          enum:
            - scheduled
            - available
            - bound
            - provisioning
            - deleting
            - failed
            - access_revoked
            - unknown
          type: string
          description: Current status of the shared volume.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-bearer-format: bearer
      x-default: default

````